<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * Renew an SSL Certificate
 *
 * @package    SSL
 * @category   Tasks
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Task_SSL_Renew extends Minion_Task {
	protected $_options = array(
		'id'=>NULL,
		'force'=>FALSE,
	);

	/**
	 * Renew a certificate
	 */
	protected function _execute(array $params) {
		ORM::factory('Service',$params['id'])->plugin()->renew(Minion_CLI::options('force'));
	}
}
?>
